## ktechlab-trinity 14.0.11

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8.12 )


#### general package setup

project( ktechlab )
set( VERSION R14.0.11 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckIncludeFileCXX    )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_GPSIM          "Enable gpsim support"                              ${WITH_ALL_OPTIONS} )
option( WITH_MECHANICS      "Enable mechanics support"                          OFF )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
add_subdirectory( icons )
add_subdirectory( microbe )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## ktechlab-trinity 3.5.13.2

=== debian/changelog ===
ktechlab-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:30:31 +0200

ktechlab-trinity (0.3-9~1ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

ktechlab-trinity (0.3-9~0ubuntu5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 06 March 2009 01:35:00 -0600

ktechlab-trinity (0.3-9~0ubuntu2) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 19 Dec 2008 12:52:00 -0600

ktechlab (0.3-9) unstable; urgency=low

  * adopted the package ktechlab, with the agreement of Steffen Joeris.
  * Made a new patch to make the package compilable with g++-4.3:
    src/electronics/simulation/matrix.cpp: simplified the invokation of
      new ETMap() to use the default parameters
    other places: cleaned the calls to std::abs which need either a 
      float or a double, made a few modifications to include math.h, 
      define the type uint when necessary.
    (Closes: #474842)
  * Made a true Homepage: entry in debian/control
  * Upgraded Standards-Version to 3.7.3
  * added a French translation, modified po/Makefile.in to deal with
    translations.
  * Raised the DH_COMPAT level to 6.
  * Added kdesdk-scripts to build-depends to get the extractrc command

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 07 Jun 2008 05:38:09 +0200

ktechlab (0.3-8) unstable; urgency=medium

  * Add libpopt-dev as build-depends to avoid FTBFS (Closes: #441480)
  * Remove two rpaths from the binaries and add chrpath to
    build-depends
  * Change Apps to Applications in menu file to follow new format

 -- Steffen Joeris <white@debian.org>  Wed, 19 Sep 2007 22:29:06 +1000

ktechlab (0.3-7) unstable; urgency=low

  * Upload to unstable

 -- Steffen Joeris <white@debian.org>  Tue, 08 May 2007 18:02:15 +1000

ktechlab (0.3-6) experimental; urgency=low

  * Expand 30-g++-4.2.dpatch to cover another compiler problem,
    thanks to Martin Michlmayer (Closes: #394173)
  * Change my maintainer address

 -- Steffen Joeris <white@debian.org>  Tue,  9 Jan 2007 09:48:19 +0100

ktechlab (0.3-5) unstable; urgency=low

  * Add gpsim-dev to build-depends to get pic support working
    (Closes: #357691)
  * Add libgtk2.0-dev and libreadline5-dev to build-depends
  * Upload sponsored by Petter Reinholdtsen.

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Fri, 29 Sep 2006 17:25:55 +1000

ktechlab (0.3-4) unstable; urgency=low

  * Now recommends gputils for other features
  * Add 30-g++.dpatch to prevent FTBFS with g++-4.2 (Closes: #362208)
  * Upload sponsored by Petter Reinholdtsen.

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sat, 24 Jun 2006 14:03:05 +0200

ktechlab (0.3-3) unstable; urgency=low

  * Include patch to let ktechlab build with g++-4.1
    Thanks to Martin Michlmayr (Closes: #356611)
  * Upload sponsored by Petter Reinholdtsen.

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Mon, 13 Mar 2006 00:57:32 +0100

ktechlab (0.3-2) unstable; urgency=low

  * remove include sys/io.h to let the package build
    on other archs then i386 and amd64 (Closes: #349854)
  * add dpatch to build-depends
  * upload sponsored by Petter Reinholdtsen.

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Thu, 26 Jan 2006 00:21:36 +0100

ktechlab (0.3-1) unstable; urgency=low

  * Initial release (Closes: #308551)
  * Upload sponsored by Petter Reinholdtsen.

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Thu, 12 Jan 2006 00:47:52 +0100

=== debian/control ===
Source: ktechlab-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 6.0.0), quilt, imagemagick, kdelibs4-trinity-dev, gpsim-dev (>= 0.21.11-2), libgtk2.0-dev, libreadline6-dev, libopts25-dev, chrpath, libpopt-dev, kdesdk-scripts-trinity, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: ktechlab-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ktechlab-kde3 (<< 4:3.5.13)
Breaks: ktechlab-kde3 (<< 4:3.5.13)
Recommends: gputils
Description: circuit simulator for microcontrollers and electronics [Trinity]
 KTechlab is a circuit simulator with a nice, clickable and discoverable
 interface. It supports many discrete components, logic circuits as well
 as PIC programming in its own Basic dialect and some form of assembler. 
Homepage: http://ktechlab.org/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

-include debian/debiandirs

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#debian/debiandirs: admin/debianrules
#	perl -w admin/debianrules echodirs > debian/debiandirs

debian/ktechlab.xpm: icons/hi32-app-ktechlab.png
	convert $< $@

config.status: configure.in
	dh_testdir

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	PATH=/opt/trinity/bin:$(PATH) CMAKE_LIBRARY_PATH=/opt/trinity/lib CMAKE_INCLUDE_PATH=/opt/trinity/include/kde CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) $(configkde) --prefix=/opt/trinity

build: build-stamp debian/ktechlab.xpm

build-stamp:  config.status
	dh_testdir
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	env PATH=/opt/trinity/bin:$(PATH) CMAKE_LIBRARY_PATH=/opt/trinity/lib CMAKE_INCLUDE_PATH=/opt/trinity/include/kde $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f po/Makefile ] || $(MAKE) -C po clean

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log debian/ktechlab.xpm config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	env PATH=/opt/trinity/bin:$(PATH) CMAKE_LIBRARY_PATH=/opt/trinity/lib CMAKE_INCLUDE_PATH=/opt/trinity/include/kde $(MAKE) install DESTDIR=$(CURDIR)/debian/ktechlab-trinity
	env PATH=/opt/trinity/bin:$(PATH) CMAKE_LIBRARY_PATH=/opt/trinity/lib CMAKE_INCLUDE_PATH=/opt/trinity/include/kde $(MAKE) -C po install DESTDIR=$(CURDIR)/debian/ktechlab-trinity
	install -D -m 644 debian/ktechlab.xpm debian/ktechlab-trinity/opt/trinity/share/pixmaps/ktechlab.xpm
	chrpath -d $(CURDIR)/debian/ktechlab-trinity/opt/trinity/bin/ktechlab
	chrpath -d $(CURDIR)/debian/ktechlab-trinity/opt/trinity/bin/microbe


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	mv debian/ktechlab-trinity/usr/share/man debian/ktechlab-trinity/opt/trinity/share/
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install unpatch

## ktechlab-trinity 14.0.4

=== debian/changelog ===
ktechlab-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:46:29 +0200

=== debian/control ===
Source: ktechlab-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, imagemagick, tdelibs14-trinity-dev, gpsim-dev (>= 0.21.11-2), libgtk2.0-dev, libreadline6-dev, libopts25-dev, chrpath, libpopt-dev, tdesdk-scripts-trinity, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: ktechlab-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ktechlab-kde3 (<< 4:14.0.0~), ktechlab-trinity (<< 4:14.0.0~)
Breaks: ktechlab-kde3 (<< 4:14.0.0~), ktechlab-trinity (<< 4:14.0.0~)
Recommends: gputils
Description: circuit simulator for microcontrollers and electronics [Trinity]
 KTechlab is a circuit simulator with a nice, clickable and discoverable
 interface. It supports many discrete components, logic circuits as well
 as PIC programming in its own Basic dialect and some form of assembler. 
Homepage: http://ktechlab.org/

## ktechlab-trinity 14.0.5

=== debian/changelog ===
ktechlab-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:24:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, imagemagick, tdelibs14-trinity-dev, gpsim-dev (>= 0.21.11-2), libgtk2.0-dev, libreadline6-dev, libopts25-dev, chrpath, libpopt-dev, tdesdk-scripts-trinity, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, imagemagick, tdelibs14-trinity-dev, gpsim-dev (>= 0.21.11-2), libgtk2.0-dev, libreadline-dev | libreadline6-dev, libopts25-dev, chrpath, libpopt-dev, tdesdk-scripts-trinity, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: ktechlab-trinity

## ktechlab-trinity 14.0.6

=== debian/changelog ===
ktechlab-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:25:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Package: ktechlab-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: ktechlab-kde3 (<< 4:14.0.0~), ktechlab-trinity (<< 4:14.0.0~)
-Breaks: ktechlab-kde3 (<< 4:14.0.0~), ktechlab-trinity (<< 4:14.0.0~)
+Replaces: ktechlab-trinity (<< 4:14.0.0~)
+Breaks: ktechlab-trinity (<< 4:14.0.0~)
 Recommends: gputils
 Description: circuit simulator for microcontrollers and electronics [Trinity]
  KTechlab is a circuit simulator with a nice, clickable and discoverable

## ktechlab-trinity 14.0.8

=== debian/changelog ===
ktechlab-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:53:16 +0200

## ktechlab-trinity 14.0.9

=== debian/changelog ===
ktechlab-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:12:38 +0200

=== debian/control ===
Source: ktechlab-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 9~), cdbs, quilt, imagemagick, tdelibs14-trinity-dev, gpsim-dev (>= 0.21.11-2), libgtk2.0-dev, libreadline-dev | libreadline6-dev, libopts25-dev, chrpath, libpopt-dev, tdesdk-scripts-trinity, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: ktechlab-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ktechlab-kde3 (<< 4:14.0.0~), ktechlab-trinity (<< 4:14.0.0~)
Breaks: ktechlab-kde3 (<< 4:14.0.0~), ktechlab-trinity (<< 4:14.0.0~)
Recommends: gputils
Description: circuit simulator for microcontrollers and electronics [Trinity]
 KTechlab is a circuit simulator with a nice, clickable and discoverable
 interface. It supports many discrete components, logic circuits as well
 as PIC programming in its own Basic dialect and some form of assembler. 
Homepage: http://ktechlab.org/

## ktechlab-trinity 14.0.10

=== debian/changelog ===
ktechlab-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ktechlab-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 9~), cdbs, quilt, imagemagick, tdelibs14-trinity-dev, gpsim-dev (>= 0.21.11-2), libgtk2.0-dev, libreadline-dev | libreadline6-dev, libopts25-dev, chrpath, libpopt-dev, tdesdk-scripts-trinity, automake, autoconf, libtool, libltdl-dev
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
+Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, imagemagick, tdelibs14-trinity-dev, gpsim-dev (>= 0.21.11-2)
 Standards-Version: 3.8.4
 
 Package: ktechlab-trinity

## ktechlab-trinity 14.0.11

=== debian/changelog ===
ktechlab-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:34:55 +0200

## ktechlab-trinity 14.0.12

=== debian/changelog ===
ktechlab-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 31 Jan 2022 23:39:14 +0100

## ktechlab-trinity 14.0.13

=== debian/changelog ===
ktechlab-trinity (4:14.0.13-0raspbian9.0.0+0) raspbian-stretch; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 23 Sep 2022 04:28:28 +0200

=== debian/control ===
Source: ktechlab-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, imagemagick, tdelibs14-trinity-dev, gpsim-dev (>= 0.21.11-2)
Standards-Version: 3.8.4

Package: ktechlab-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ktechlab-trinity (<< 4:14.0.0~)
Breaks: ktechlab-trinity (<< 4:14.0.0~)
Recommends: gputils
Description: circuit simulator for microcontrollers and electronics [Trinity]
 KTechlab is a circuit simulator with a nice, clickable and discoverable
 interface. It supports many discrete components, logic circuits as well
 as PIC programming in its own Basic dialect and some form of assembler. 
Homepage: http://ktechlab.org/

## ktechlab-trinity 14.1.0

=== debian/changelog ===
ktechlab-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## ktechlab-trinity 14.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,12 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( ktechlab )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -30,8 +29,12 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths
@@ -74,8 +77,8 @@
 add_subdirectory( src )
 add_subdirectory( icons )
 add_subdirectory( microbe )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
ktechlab-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 03 Sep 2023 15:32:03 +0200

## ktechlab-trinity 14.1.2

=== debian/changelog ===
ktechlab-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 13:00:35 +0100

## ktechlab-trinity 14.1.3

=== debian/changelog ===
ktechlab-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:50:15 +0200

## ktechlab-trinity 14.1.4

=== debian/changelog ===
ktechlab-trinity (4:14.1.4-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
Source: ktechlab-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, imagemagick, tdelibs14-trinity-dev, gpsim-dev (>= 0.21.11-2)
Standards-Version: 3.8.4

Package: ktechlab-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ktechlab-kde3 (<< 4:14.0.0~), ktechlab-trinity (<< 4:14.0.0~)
Breaks: ktechlab-kde3 (<< 4:14.0.0~), ktechlab-trinity (<< 4:14.0.0~)
Recommends: gputils
Description: circuit simulator for microcontrollers and electronics [Trinity]
 KTechlab is a circuit simulator with a nice, clickable and discoverable
 interface. It supports many discrete components, logic circuits as well
 as PIC programming in its own Basic dialect and some form of assembler. 
Homepage: http://ktechlab.org/

## ktechlab-trinity 14.1.5~pre0

=== debian/changelog ===
ktechlab-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for cf95585a16cad5830f755655a36b206e779a2212
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## ktechlab-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
@@ -30,11 +34,6 @@
 #### include our cmake modules
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths

=== src/mechanics/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/drawparts
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### mechanics (static)

tde_add_library( mechanics STATIC_PIC AUTOMOC

  SOURCES
        mechanicsitem.cpp chassiscircular2.cpp
        mechanicssimulation.cpp mechanicsdocument.cpp
        mechanicsgroup.cpp mechanicsview.cpp
)

=== src/electronics/simulation/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/electronics
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### elements (static)

tde_add_library( elements STATIC_PIC AUTOMOC

  SOURCES
        cccs.cpp ccvs.cpp circuit.cpp currentsource.cpp
        diode.cpp element.cpp elementset.cpp logic.cpp
        matrix.cpp vccs.cpp vcvs.cpp voltagesource.cpp
        capacitance.cpp resistance.cpp currentsignal.cpp
        voltagepoint.cpp voltagesignal.cpp elementsignal.cpp
        nonlinear.cpp reactive.cpp vec.cpp bjt.cpp
        opamp.cpp inductance.cpp
  DEPENDENCIES
        core-static
)

=== debian/changelog ===
ktechlab-trinity (4:14.1.5-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, imagemagick, tdelibs14-trinity-dev, gpsim-dev (>= 0.21.11-2)
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, imagemagick, tdelibs14-trinity-dev, gpsim-dev (>= 0.21.11-2)
 Standards-Version: 3.8.4
 
 Package: ktechlab-trinity

## ktechlab-trinity 14.1.6~pre0

=== debian/changelog ===
ktechlab-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for cf95585a16cad5830f755655a36b206e779a2212
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## ktechlab-trinity 14.1.6~pre1

=== debian/changelog ===
ktechlab-trinity (4:14.1.6~pre1-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for c478ee21545ca3c25f58ff211d8e125b114f75df
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Mar 2026 09:27:56 +0100

## ktechlab-trinity 14.2.0~pre26

=== debian/changelog ===
ktechlab-trinity (4:14.2.0~pre26-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 438432bbac3f5281efdbf9fee1572f6270a05c31
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## ktechlab-trinity 14.2.0~pre27

=== debian/changelog ===
ktechlab-trinity (4:14.2.0~pre27-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 595b77cdc4db6f7c16441a3710362e744fb4e354
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#ktechlab

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 28 Feb 2026 20:08:02 +0100
